% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/crtree.R
\name{summary.crtree}
\alias{summary.crtree}
\title{Summary method for the crtree function}
\usage{
\method{summary}{crtree}(object, prn = TRUE, splits = FALSE, cptab = FALSE, modsum = FALSE, ...)
}
\arguments{
\item{object}{Return value from \code{\link{crtree}}}

\item{prn}{Print tree in text form}

\item{splits}{Print the tree splitting metrics used}

\item{cptab}{Print the cp table}

\item{modsum}{Print the model summary}

\item{...}{further arguments passed to or from other methods}
}
\description{
Summary method for the crtree function
}
\details{
See \url{https://radiant-rstats.github.io/docs/model/crtree.html} for an example in Radiant
}
\examples{
result <- crtree(titanic, "survived", c("pclass", "sex"), lev = "Yes")
summary(result)
result <- crtree(diamonds, "price", c("carat", "color"), type = "regression")
summary(result)
}
\seealso{
\code{\link{crtree}} to generate results

\code{\link{plot.crtree}} to plot results

\code{\link{predict.crtree}} for prediction
}
