% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/evalreg.R
\name{summary.evalreg}
\alias{summary.evalreg}
\title{Summary method for the evalreg function}
\usage{
\method{summary}{evalreg}(object, dec = 3, ...)
}
\arguments{
\item{object}{Return value from \code{\link{evalreg}}}

\item{dec}{Number of decimals to show}

\item{...}{further arguments passed to or from other methods}
}
\description{
Summary method for the evalreg function
}
\details{
See \url{https://radiant-rstats.github.io/docs/model/evalreg.html} for an example in Radiant
}
\examples{
data.frame(price = diamonds$price, pred1 = rnorm(3000), pred2 = diamonds$price) \%>\%
  evalreg(pred = c("pred1", "pred2"), "price") \%>\%
  summary()

}
\seealso{
\code{\link{evalreg}} to summarize results

\code{\link{plot.evalreg}} to plot results
}
